> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/forms/export-data.md).

# Extract FDF data from a PDF in Xamarin

Learn how to extract data from PDF to FDF and export FDF as XFDF with full support for Forms Data Format. Get the sample code for PDF Form Fill and Data Extraction here! The Apryse Xamarin SDK streaml

To extract data from PDF to FDF, then export FDF as XFDF

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
PDFDoc doc = new PDFDoc(filename);

// Extract annotations to FDF.
// Optionally use e_both to extract both forms and annotations
FDFDoc doc_fields = doc.FDFExtract(PDFDoc.ExtractFlag.e_annots_only); //PDFDoc.ExtractFlag.e_forms_only

// Export annotations from FDF to XFDF.
doc_fields.SaveAsXFDF(output_xfdf_filename);

// Optionally write XFDF to a string
string XFDF_string = doc_fields.SaveAsXFDF();
```

{% endcode %}
{% endtab %}
{% endtabs %}

[PDF Form Fill and Form Data Extraction](/xamarin/get-started/samples.md#fdf) Full sample code which illustrates basic FDF merge/extract functionality and full support for FDF (Forms Data Format)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/xamarin/forms/export-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
